### Method

# Gtk TextBuffer end_irreversible_action

#### Declaration [src]

    void
    gtk_text_buffer_end_irreversible_action (
      GtkTextBuffer* buffer
    )

#### Description [src]

Denotes the end of an action that may not be undone.

This will cause any previous operations in the undo/redo queue to be cleared.

This should be called after completing modifications to the text buffer after gtk_text_buffer_begin_irreversible_action() was called.

You may nest calls to gtk_text_buffer_begin_irreversible_action() and gtk_text_buffer_end_irreversible_action() pairs.